Bug 201266 - [GTK] audio-playback-restriction tests failing
Summary: [GTK] audio-playback-restriction tests failing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 83704
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-28 18:20 PDT by Alicia Boya García
Modified: 2021-07-02 03:45 PDT (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alicia Boya García 2019-08-28 18:20:17 PDT
media/audio-playback-restriction-autoplay.html
media/audio-playback-restriction-play-muted.html
media/audio-playback-restriction-play.html

--- /home/slave/webkitgtk/gtk-linux-64-release-tests/build/layout-test-results/media/audio-playback-restriction-autoplay-expected.txt
+++ /home/slave/webkitgtk/gtk-linux-64-release-tests/build/layout-test-results/media/audio-playback-restriction-autoplay-actual.txt
@@ -5,6 +5,6 @@
 RUN(video.src = findMediaFile('audio', 'content/test'))
 EVENT(canplaythrough)
 RUN(setTimeout(timeout, 100))
-EXPECTED (video.paused == 'true') OK
+EXPECTED (video.paused == 'true'), OBSERVED 'false' FAIL
 END OF TEST
 

--- /home/slave/webkitgtk/gtk-linux-64-release-tests/build/layout-test-results/media/audio-playback-restriction-play-muted-expected.txt
+++ /home/slave/webkitgtk/gtk-linux-64-release-tests/build/layout-test-results/media/audio-playback-restriction-play-muted-actual.txt
@@ -7,6 +7,6 @@
 RUN(video.play())
 EVENT(playing)
 RUN(video.muted = false)
-EVENT(pause)
+FAIL: did not end fast enough
 END OF TEST
 

--- /home/slave/webkitgtk/gtk-linux-64-release-tests/build/layout-test-results/media/audio-playback-restriction-play-expected.txt
+++ /home/slave/webkitgtk/gtk-linux-64-release-tests/build/layout-test-results/media/audio-playback-restriction-play-actual.txt
@@ -5,7 +5,7 @@
 RUN(video.src = findMediaFile('audio', 'content/test'))
 EVENT(canplaythrough)
 RUN(handlePromise(video.play()))
-EXPECTED (video.paused == 'true') OK
+EXPECTED (video.paused == 'true'), OBSERVED 'false' FAIL
 Running with keyDown.
 RUN(video.play())
 EXPECTED (video.paused == 'false') OK
Comment 1 Alicia Boya García 2019-10-09 05:31:58 PDT
All these are flaky.
Comment 2 Diego Pino 2021-06-09 00:20:57 PDT
The only test filed under this bug was:

  - media/audio-playback-restriction-play-muted.html

GTK post-commit test bot reports the test has been failing consistently for the last 4000 revisions.

Diff:

--- /home/buildbot/worker/gtk-linux-64-release-tests/build/layout-test-results/media/audio-playback-restriction-play-muted-expected.txt
+++ /home/buildbot/worker/gtk-linux-64-release-tests/build/layout-test-results/media/audio-playback-restriction-play-muted-actual.txt
@@ -7,6 +7,6 @@
 RUN(video.play())
 EVENT(playing)
 RUN(video.muted = false)
-EVENT(pause)
+FAIL: did not end fast enough
 END OF TEST
Comment 3 Xabier Rodríguez Calvar 2021-07-02 03:45:00 PDT
Fixed in bug 83704.